import 'dart:async';

import 'package:flutter/services.dart';

class AndoterFlutter {
  static const MethodChannel _channel =
      const MethodChannel('andoter_flutter');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static get trackEvent async {
    await _channel.invokeMethod("trackEvent");
  }
}
